Subject: Re: [core] Payloads and BLOCK2 for various methods

From: Christian Amsüss <[email-masked]>
Date: Wed, 5 Aug 2020 18:05:20 +0200

Hello Jim,

On Sat, Jul 25, 2020 at 08:43:14AM -0700, Jim Schaad wrote:
> I was going through my code because I found a problem with one of my
> blockwise implementations and I found that I did not know where the text was
> about sending payloads for NUM > 1 blocks.   The only statement that I have
> found on this seems to be in Figure 10 of RFC 7959.  If it is elsewhere then
> I have missed it.  The problem with this is a) it is an example rather than
> a statement in the text and 2) it needs to be inferred that this applies to
> more than just POST.

I relied on the same figure for my implementations, and on checking
again found nothing to support the behavior either.

(The best indication I found is the sentence in 2.7 that "To continue
this Block2 transfer, the client continues to send requests similar to
the requests in the Block1 phase, but leaves out the Block1 Options and
includes a Block2 request option with non-zero NUM" -- without a Block1
option, there is no payload that makes sense there to send).

> I also ended up looking at RFC 8132 and, to my surprise, I found that
> blockwise is to be supported for FETCH, but there is no statement about
> PATCH and iPATCH.   Given the explicit statement for FETCH, it is my
> assumption that PATCH and iPATCH are not to be used with blockwise.  Does
> that match what was intended?

I'd assume that on PATCH and iPATCH it generally says less because
they're already so close to PUT and POST that everything on block-wise
with PUT and POST applies equally.

Both would make good corr-clar material.

KR
c

-- 
To use raw power is to make yourself infinitely vulnerable to greater powers.
  -- Bene Gesserit axiom

---

From: Carsten Bormann <[email-masked]>
Date: Wed, 5 Aug 2020 18:51:37 +0200

> Both would make good corr-clar material.

Yes!

Great plan for a summer on the patio.

Grüße, Carsten